
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #19265

[BCR1093][Merchant Portal] Validate Before Unbind (BCR-1093-09)

26 December 2023 03:23 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 26 December 2023

Priority: Normal Due date:  

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue:

Users can unbind the primary device even if the CIF still has a secondary device. Causes when the secondary device performs

Change Primary, an error display.

Expected:

At the Unbind Device confirmation screen, when users click Unbind button, validate:

- if the device is Primary and the cif has any secondary device/s, return the error 'If you wish to unbind this device, please make

another device as a Primary Device in order to proceed.'

- if the device is Primary and the cif no secondary device/s, proceed to unbind as usual

- if the device is secondary, proceed unbind as usual

History

#1 - 27 December 2023 09:35 AM - Nor Khairun Aqila Jesmen

- Subject changed from [BCR1093][Merchant Portal] Validate Before Unbind to [BCR1093][Merchant Portal] Validate Before Unbind (BCR-1093-09)

#2 - 27 December 2023 08:09 PM - See Pin Leng

- Status changed from New to Resolved

- Assignee changed from See Pin Leng to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

fixed done.

#3 - 28 December 2023 10:00 AM - Nor Khairun Aqila Jesmen

Tested for flow:

1. Unbind device primary with no secondary (tested good. Able to proceed unbind)

2. Unbind device primary with 1 secondary (tested good. Error display as expected)

3. Unbind device primary with more than 1 secondary (tested good. Error display as expected)

4. Unbind device secondary with primary and 1 secondary (tested good. Able to proceed unbind)

5. Unbind device secondary with primary and more than 1 secondary (tested good. Able to proceed unbind)

#4 - 28 December 2023 10:00 AM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

Tested good
